// Copyright (C) 2010-2012  CEA/DEN, EDF R&D
//
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
//
// See http://www.salome-platform.org/ or email : webmaster.salome@opencascade.com
//

#ifndef _pqCustomChartDisplayPanelImplementation_h
#define _pqCustomChartDisplayPanelImplementation_h

#include "pqDisplayPanelInterface.h"

#include <QObject>

class QWidget;

class pqCustomChartDisplayPanelImplementation : public QObject,
                                                public pqDisplayPanelInterface
{
  Q_OBJECT
  Q_INTERFACES(pqDisplayPanelInterface)

  public:
    // Constructor
    pqCustomChartDisplayPanelImplementation(){}
    pqCustomChartDisplayPanelImplementation(QObject* p);

    // Destructor
    virtual ~pqCustomChartDisplayPanelImplementation(){}

    // Returns true if this panel can be created for the given the proxy.
    virtual bool canCreatePanel(pqRepresentation* proxy) const;

    // Creates a panel for the given proxy
    virtual pqDisplayPanel* createPanel(pqRepresentation* proxy, QWidget* p);
};

#endif

